ここから本文です

Ubuntuでtomcat7をインストールし、それをeclipseで起動させたいのですが、写真の...

アバター

ID非公開さん

2017/2/2017:16:33

Ubuntuでtomcat7をインストールし、それをeclipseで起動させたいのですが、写真のようにエラーが出てしまい実行できません。

eclipseで起動させるために使用したコードは以下のとおりです。
sudo ln -s /etc/tomcat6/ /usr/share/tomcat6/conf
sudo ln -s /var/lib/tomcat6/webapps/ /usr/share/tomcat6/webapps
sudo chmod +r /etc/tomcat6/tomcat-users.xml

eclipse内のTOMCATの設定は
TOMCAT_HOME: /usr/share/tomcat7
コンテキスト・ディレクトリー: /etc/tomcat7/Catalina/localhost

使用しているOS
・Ubuntu14.04
eclipseのバージョン
・eclipse LUNA

PHPは使っていません。
jspの起動で使用したいです。

いろいろなサイトを調べてみましたがどれもエラーに当てはまらないようです。

個人的に、このエラーの文面からしてfalseが多いのでファイルの指定を間違えているのかと怪しんでいるのですが、どこをどう間違えているのかがわからず手が付けられません。

この4月からプログラマの見習いになるものとしてこんなところで躓いていては先が重いです。

ご教授願います。

補足記述ミス:sudo ln -s /etc/tomcat6/ /usr/share/tomcat6/conf
sudo ln -s /var/lib/tomcat6/webapps/ /usr/share/tomcat6/webapps
sudo chmod +r /etc/tomcat6/tomcat-users.xml

訂正:sudo ln -s /etc/tomcat7/ /usr/share/tomcat7/conf
sudo ln -s /var/lib/tomcat7/webapps/ /usr/share/tomcat7/webapps
sudo chmod +r /etc/tomcat7/tomcat-users.xml

tomcat6,tomcat7,sudo ln,sudo chmod,webapps,Tomcat,日本語化

閲覧数:
95
回答数:
1
お礼:
100枚

違反報告

ベストアンサーに選ばれた回答

プロフィール画像

カテゴリマスター

nan********さん

2017/2/2021:00:17

今、インストールして調べてみました。
やはり、apt とか、ソフトウェアセンターで入れた tomcat や eclipse は、正しく動作しないようです。
これは、
本家のサイトから、通常の Linux 用をダウンロードして自分のローカル環境にインストールというか、単に展開した方が楽です。
また、Pleiades での日本語化もうまくあたります。
そうそう、apt で入れた tomcat は、勝手に起動するので、無理矢理手動で止めてからでないとダメです。

  • アバター

    質問者

    ID非公開さん

    2017/2/2023:26:37

    aptでは動作が不可能ということでしょうか、、。
    本家からDLするのとではいったい何が違うのでしょうか、、1つ疑問が増えてしまいました;;

    aptでインストールしたtomcatにはstopをかけてeclipseの方で実行していました!

    手順を変えるにあたって質問なのですが、
    本家のサイトからインストールする際、aptでインストールした時のtomcatはアンインストールするべきなのでしょうか?

    よろしくお願いいたします。

  • その他の返信(2件)を表示

返信を取り消しますが
よろしいですか?

  • 取り消す
  • キャンセル

この質問につけられたタグ

みんなで作る知恵袋 悩みや疑問、なんでも気軽にきいちゃおう!

Q&Aをキーワードで検索:

Yahoo! JAPANは、回答に記載された内容の信ぴょう性、正確性を保証しておりません。
お客様自身の責任と判断で、ご利用ください。
本文はここまでです このページの先頭へ

「追加する」ボタンを押してください。

閉じる

※知恵コレクションに追加された質問は選択されたID/ニックネームのMy知恵袋で確認できます。

不適切な投稿でないことを報告しました。

閉じる